      implicit none
      integer,parameter::D=kind(1.0d0)
      integer::k10,k11,ieee
      integer::beta,t,emin,emax
      real(D)::eps,rmin,rmax
      logical::rnd
      integer,external::ilaenv,ieeeck
      namelist/out/ beta,t,rnd,eps,emin,rmax,rmax
      namelist/out2/ k10,k11,ieee
      k10 = ILAENV( 10, 'DLASQ2', 'N', 1, 2, 3, 4 )
      k11 = ILAENV( 11, 'DLASQ2', 'N', 1, 2, 3, 4 )
      call dlamc2(beta,t,rnd,eps,emin,rmin,emax,rmax) 
      write(6,out) 
      ieee=ieeeck(1,0.0,1.0)
      write(6,out2)
      stop
      end
